<?php
/*======================================================================*\
|| #################################################################### ||
|| # Youjoomla.com - YJ- Licence Number 98197-LS676703
|| # Licensed to - Hejakal Bekaudar
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2006-2009 Youjoomla.com. All Rights Reserved.           ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- THIS IS NOT FREE SOFTWARE ---------------- #      ||
|| # http://www.youjoomla.com | http://www.youjoomla.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_content'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'route.php');
require_once('modules/mod_yj_ns5/lib/slike.php');
JHtml::_('behavior.framework',true);
class modYJNS5Helper
{
	function YJNS5getItems($params)
	{
		global $mainframe;

		$nitems 		= $params->get ('nitems',4);
		$ordering 		= $params->get('ordering',3);// 1 = ordering | 2 = popular | 3 = random 
		$get_items 		= $params->get('get_items',1);
		$getspecific 	= $params->get ('getspecific');
		$chars 			= $params->get ('chars',40);
		$allow_tags		= $params->get ('allow_tags');
		$allow_tags 	= str_replace(" />", ">", $allow_tags);			
		
		$slide_width 	= $params->get('slide_width','655px');
		$intro_height 	= $params->get('intro_height','200px');
		$image_width 	= $params->get('image_width','125px'); 
		$image_height 	= $params->get('image_height','176px');

		$effectDuration = $params->get('effectDuration','1000');
		$autoSlide 		= $params->get('autoSlide','3000');
		$stopOnClick 	= $params->get('stopOnClick','1');	
		
		if ($stopOnClick == 1){
			$stopklik	= 'true';
		}elseif($stopOnClick == 2 ){
			$stopklik	= 'false';
		}		
		$pozicijanav 	= $slide_width /2;
		
		/* add styles and scripts */			
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::base() . 'modules/mod_yj_ns5/css/stylesheet.css');
		$document->addScript(JURI::base() . 'modules/mod_yj_ns5/script/yjns5.js');
		$document->addScriptDeclaration("
			window.addEvent('domready', function(){
				new SlideShow5({
				container:'SlideShow5',
				nav:'fade', 
				slidesClass:'SlideShowSlide5',
				effectDuration:".$effectDuration.",
				autoSlide:".$autoSlide.", 
				stopOnClick:".$stopklik.", 
				navigation:true
				});			
			});
		");
		$document->addStyleDeclaration('
		#SlideShow5 div.SlideShowSlide5,
		#SlideShow5, #SlideShowScroll5,
		.controlsContainer5{
		width:'.$slide_width.';
		}
		#SlideShow5 div.navContainer5 {
		width:'.$slide_width.';
		margin-left:-'.$pozicijanav.'px;
		}
		#SlideShow5 a.navigation, 
		#SlideShow5 a.selected, x:-moz-any-link {
		display:-moz-inline-stack;
		}
		.SlideShowSlide5 h1{
			top:'.$image_height.';
		}
		#SlideShow5 a.navigation, 
		#SlideShow5 a.selected, x:-moz-any-link, x:default {
		display:inline-block;
		}
		#SlideShow5 a.navigation, 
		#SlideShow5 a.selected,
		#SlideShow5 a.navigation img, 
		#SlideShow5 a.selected img{
		height:'.$image_height.';
		width:'.$image_width.';
		}
		#SlideShow5,
		#SlideShowScroll5,
		#SlideShow5 div.SlideShowSlide5{
			height:'.($intro_height + $image_height).'px;
		}
		#SlideShow5 .SlideShowDetails5{
			height:'.($intro_height - 64).'px;
		}
		');

		/* prepare database */
		$db			=JFactory::getDBO();
		$user		= JFactory::getUser();
		$userId		= (int) $user->get('id');
		$aid		= JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$contentConfig = JComponentHelper::getParams( 'com_content' );
		$access		= !JComponentHelper::getParams('com_content')->get('show_noauth');
		$nullDate	= $db->getNullDate();
		$date =     JFactory::getDate();
		if(intval(JVERSION) >= 3 ){	
			$now =         $date->toSql() ; 
		}else{
			$now =         $date->toMySQL(); 
		}
		
		
		$where		= 'a.state = 1'
			. ' AND ( a.publish_up = '.$db->Quote($nullDate).' OR a.publish_up <= '.$db->Quote($now).' )'
			. ' AND ( a.publish_down = '.$db->Quote($nullDate).' OR a.publish_down >= '.$db->Quote($now).' )'
			;
		// select specific items
		if(!empty($getspecific)){
		$countitems = count($getspecific);
		}
		if(!empty($getspecific) && $countitems > 1 ){
			$specificitems = implode(",", $getspecific);
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}elseif(!empty($getspecific) && $countitems == 1 ){
			$specificitems = $getspecific[0];
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}else{
			$specificitems='';
			$specific_order='NULL';
			$where .= ' AND cc.id = '.$get_items.'';
		}
		/* set items order */
		$ord = array(
			1=>'ordering',
			2=>'hits',
			3=>'RAND()',
			4=>'created ASC',
			5=>'created DESC',
			6=>$specific_order
		);
		$order = $ord[$ordering];
		/* get items */
		$sql = 	'SELECT a.*, ' .
				' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'. 
				' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug,'.
				'cc.title as cattitle'.
		
				' FROM #__content AS a' .
				' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
				' WHERE '. $where .'' .
				($access ? ' AND a.access <= ' .(int) $aid. ' AND cc.access <= ' .(int) $aid : '').
				' AND cc.published = 1' .
				' ORDER BY '.$order .' LIMIT 0,'.$nitems.'';
		
		$db->setQuery( $sql );
		$load_items = $db->loadObjectList();
		
		
		$yjns5_items =array();
		foreach ( $load_items as $row ) {

			$yjns5_item = array(
					'item_date' 	=> JHTML::_('date', $row->created,JText::_('CREATEDATE')),
					'item_intro' 	=> substr(strip_tags($row->introtext,''.$allow_tags.''),0,$chars),
					'item_link' 	=> htmlspecialchars(JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug)), ENT_QUOTES, 'UTF-8'),
					'item_img' 		=> yjns5_image($row),
					'item_title' 	=> htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'),
					'item_id'	 	=> $row->id,
					'item_ctitle' 	=> htmlspecialchars($row->cattitle, ENT_QUOTES, 'UTF-8'),
				);
				$yjns5_items[] = $yjns5_item;
			}
			return $yjns5_items;
	}
}
?>